[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AddEventHandler

Adds an event handler routine for the specified handle.

## Declaration

Source position: lclintfh.inc line 34

`public function TWidgetSet.AddEventHandler(`
`AHandle: TLCLHandle;`
`AFlags: dword;`
`AEventHandler: TWaitHandleEvent;`
`AData: PtrInt`
`):PEventHandler; virtual;`

## Function result

Pointer to the event handler structure created in the widgetset class.